getHTTPContent <-
  #
  # Reads the lines from the HTTP response 
  # header and converts them into a
  # name=value  collection as a character vector.
  #
function(lines)
{
 if(length(lines) < 1)
   return(NULL)

  # Not able to use read.dcf() here since we would have to write
  # these lines to a file. Use a textConnection?
  # header <- paste(lines[1:(b[1]-1)], collapse="\n")
  # header <- read.dcf(header) 
 b <- (1:length(lines))[lines  == ""]

 els <- sapply(lines[2:(b[1]-1)], function(x) strsplit(x, ":"))
 header <- sapply(els, function(x) x[2])
 names(header) <- sapply(els, function(x) x[1]) 

 els <- strsplit(lines[1], " ")[[1]] 
 header[["status"]] <- as.integer(els[2])
 header[["statusMessage"]] <- els[3]
 
  # Now paste the content or payload of the HTTP communication
 content <- paste(lines[(b[1]+1):length(lines)], collapse="\n")

 return(list(header = header, content = content))
}

isHTTPError <-
  #
  # Looks at the elements of the HTTP response
  # header, assumed to be pre-processed into name-value pairs,
  # and figures out whether the response indicates an error
  # or success.
  # It does this by looking for the non name-value pair
  # corresponding to the `HTTP/1.1 status message' string.
  # It then gets the status and compares it to the value 200.
function(response)
{
  response[["status"]] != 200
}  
